Page MenuHomePhabricator

Naviframe/portal support in Wayland Enlightenment
Closed, ResolvedPublic

Description

The goal of this project is to provide the necessary support for subcompositor to enable naviframe with external process. There is a separate task for handling the API of the new naviframe.

cedric created this task.Apr 4 2017, 1:58 PM

Is there any plan for this work ?
I want to know whether details of this work were discussed.

This seems like view-managing would be done by window manager side ... am I right ?

Please share any news on this task :)

zmike added a comment.EditedMay 10 2017, 5:47 AM

The plan for the work is that I did it and it's 99% done, I'm just finishing up some extra features before I write some blog posts and make videos.

So, COOL !! :) I will prepare popcorn and coke to watch your masterpiece :)
And, thanks for fast reply !

@woohyun @zmike is only taking care of the enlightenment side. We will need someone to take care of the elementary side and API.

@cedric It's hard to imagine how that new elementary APIs would be used.
Could you share what they are looked like ?

zmike added a comment.May 10 2017, 6:48 PM
In T5350#86863, @cedric wrote:

@woohyun @zmike is only taking care of the enlightenment side. We will need someone to take care of the elementary side and API.

There is no "enlightenment" side. This is all client code and API.

@cedric It's hard to imagine how that new elementary APIs would be used.
Could you share what they are looked like ?

The repo I linked contains the API as well as a number of examples, including one which is functionally equivalent to naviframe.

jpeg added a subscriber: raster.Jun 8 2017, 12:18 AM
raster reopened this task as Open.Jun 8 2017, 12:21 AM

hmm. need to re-open this. a nested compositor is not really what is needed. xdg-foreign is what is really needed. this is security sensitve. imagine this involved oath. i want to have my app get an auth token AND have it approved. so as part of this somone/thing runs the browser (in a secure env its run not as a child process but via a launcher daemon with another smack label)... and the browser goes to a page and asks me to log in or approve the access. now the first app can steal (keylog) my password if it is done as a nested compositor.

in some situations a nested compositor is fine. in others like the above it's not. the window stack is really all about the 2nd case. where you may have windows of your own OR windows from some other process/client that are part of your "dialog stack" or series of frames. you do not want to leak things like passwords or have the ability to just auto "clikc ok" for the user when the point is to have the user himself approve the access.

while a nested compositor is cool and neat for some uses, it's not for this.

Ok, I can make this happen when I get time.

cedric raised the priority of this task from TODO to High.Jul 10 2017, 3:11 PM